package com.yutou.qqbot.models.Commands;

import com.yutou.napcat.handle.Record;
import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.QQBotManager;
import com.yutou.qqbot.models.Model;
import com.yutou.napcat.event.MessageEvent;

import java.io.File;
import java.util.Objects;

import static com.yutou.qqbot.models.Model.QQGroupCommands.QQ_WOODEN;

@UseModel
public class WoodenFish extends Model {
    @Override
    public boolean isUserPublic() {
        return true;
    }

    @Override
    public String[] getUsePowers() {
        return new String[0];
    }

    @Override
    public String getModelName() {
        return "电子木鱼";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if (msg.contains("地狱笑话")) {
            QQBotManager.getInstance().sendMessage(event.isUser(), qq, new Record("muyu.mp3"));
            QQBotManager.getInstance().sendMessage(event.isUser(), qq, "功德+1");
        } else if (msg.contains("遥遥领先")) {
            QQBotManager.getInstance().sendMessage(event.isUser(), qq, new Record("遥遥领先.silk"));
        }
    }
}
